# Uses of Interface
org.eclipse.emf.cdo.view.CDOViewSet

Packages that use CDOViewSet
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOViewSet in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOViewSet
Modifier and Type
Method
Description
`CDOViewSet`
CDOPushTransaction.`getViewSet()`
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOViewSet
Modifier and Type
Method
Description
`void`
CDOXATransaction.`add(CDOViewSet viewSet)`
`void`
CDOXATransaction.`remove(CDOViewSet viewSet)`

## Uses of CDOViewSet in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOViewSet
Modifier and Type
Method
Description
`static CDOViewSet`
CDOUtil.`getViewSet(Notifier notifier)`
Methods in org.eclipse.emf.cdo.util with parameters of type CDOViewSet
Modifier and Type
Method
Description
`static CDOXATransaction`
CDOUtil.`getXATransaction(CDOViewSet viewSet)`

## Uses of CDOViewSet in org.eclipse.emf.cdo.view

Fields in org.eclipse.emf.cdo.view with type parameters of type CDOViewSet
Modifier and Type
Field
Description
`static final org.eclipse.net4j.util.container.IContainer<CDOViewSet>`
CDOViewSet.`REGISTRY`
Methods in org.eclipse.emf.cdo.view that return CDOViewSet
Modifier and Type
Method
Description
`CDOViewSet`
CDOView.`getViewSet()`
Returns the `view set` this view is associated with.
`final CDOViewSet`
CDOViewSetHandler.`getViewSet()`
`static CDOViewSet[]`
CDOViewSet.`getViewSets()`
Constructors in org.eclipse.emf.cdo.view with parameters of type CDOViewSet
Modifier
Constructor
Description
``
`CDOViewSetHandler(CDOViewSet viewSet)`

## Uses of CDOViewSet in org.eclipse.emf.spi.cdo

Subinterfaces of CDOViewSet in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOViewSet`
If the meaning of this type isn't clear, there really should be more of a description here...